Add vulcan support

Bug #1594452 reported by dann frazier on 2016-06-20
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
binutils (Ubuntu)
Medium
Unassigned
Xenial
Undecided
Unassigned
gcc-5 (Ubuntu)
Undecided
Unassigned
Xenial
Undecided
Unassigned
gcc-6 (Ubuntu)
Medium
Unassigned

Bug Description

Vulcan support has recently landed upstream. Please include this backport in Ubuntu.

dann frazier (dannf) wrote :
Manoj Iyer (manjo) wrote :

The following patch to GCC is making its way upstream and is currently under review. https://gcc.gnu.org/ml/gcc-patches/2016-06/msg01339.html

dann frazier (dannf) on 2016-06-21
affects: gcc → gcc-6 (Ubuntu)
dann frazier (dannf) wrote :

GCC support is upstream now; backport attached.

Changed in gcc-6 (Ubuntu):
status: New → Confirmed
importance: Undecided → Medium
tags: added: patch
Matthias Klose (doko) on 2016-06-30
no longer affects: gcc-6 (Ubuntu Xenial)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package binutils - 2.26.1-1ubuntu1

---------------
binutils (2.26.1-1ubuntu1) yakkety; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Don't build cross binutils packages for non-linux architectures.

binutils (2.26.1-1) unstable; urgency=medium

  * binutils 2.26.1 release.

 -- Matthias Klose <email address hidden> Thu, 30 Jun 2016 10:52:58 +0200

Changed in binutils (Ubuntu):
status: Confirmed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gcc-5 - 5.4.0-5ubuntu1

---------------
gcc-5 (5.4.0-5ubuntu1) yakkety; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

gcc-5 (5.4.0-5) unstable; urgency=medium

  [ Matthias Klose ]
  * Add AArch64 Vulcan cpu support, backport from trunk. LP: #1594452.
  * Revert a libstdc++ header reorg done after the 5.3.0 release (only for
    OS releases including a GCC 5 at release time).
  * Enforce build using binutils 2.26.1 for unstable/development series.

  [ Aurelien Jarno ]
  * Drop support for loongson 2f (YunQiang Su). Closes: #827554.
  * Apply proposed patch from Matthew Fortune to fix libjava on mips64el.

 -- Matthias Klose <email address hidden> Thu, 30 Jun 2016 12:43:34 +0200

Changed in gcc-5 (Ubuntu):
status: New → Fix Released

Hello dann, or anyone else affected,

Accepted binutils into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/binutils/2.26.1-1ubuntu1~16.04 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in binutils (Ubuntu Xenial):
status: New → Fix Committed
tags: added: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gcc-6 - 6.1.1-8ubuntu11

---------------
gcc-6 (6.1.1-8ubuntu11) yakkety; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

gcc-6 (6.1.1-8) unstable; urgency=medium

  * Update to SVN 20160630 (r237878, 6.1.1) from the gcc-6-branch.
    - Fix PR tree-optimization/71647, PR target/30417 (AVR),
      PR target/71103 (AVR), PR tree-optimization/71588, PR middle-end/71581,
      PR c++/71528, PR fortran/70673, PR middle-end/71693.

  [ Aurelien Jarno ]
  * Apply proposed patch from Matthew Fortune to fix libjava on mips64el.

  [ Matthias Klose ]
  * Add AArch64 Vulcan cpu support (Dann Frazier). LP: #1594452.
  * gfortran: Suggest libcoarrays-dev. Closes: #827995.
  * cpp: Breaks libmagics++-dev (<< 2.28.0-4). Closes: #825278.
  * Optimize for mips32r2 for o32 (YunQiang Su). Closes: #827801.

 -- Matthias Klose <email address hidden> Thu, 30 Jun 2016 15:41:06 +0200

Changed in gcc-6 (Ubuntu):
status: Confirmed → Fix Released
dann frazier (dannf) wrote :

gcc-5 5.4.0-5ubuntu1~16.04 from ppa:ubuntu-toolchain-r/ppa does accept vulcan as an -mcpu option, and it does pass the correct -march settings down to the assembler:

$ gcc -v hello.c -o hello 2>&1 | grep ' as '
 as -v -EL -mabi=lp64 -o /tmp/ccgyMnhl.o /tmp/cchw8EFH.s
$ gcc -mcpu=vulcan -v hello.c -o hello 2>&1 | grep ' as '
 as -v -EL -march=armv8.1-a+crypto -mabi=lp64 -o /tmp/ccgkHPq1.o /tmp/cc32DdK2.s

binutils 2.26.1-1ubuntu1~16.04 from proposed also accepts -mcpu vulcan now:

$ (gcc -Wa,-mcpu=vulcan -mcpu=vulcan -v hello.c -o hello 2>&1 && echo exitcode $? 1>&2)| grep ' as '
 as -v -EL -march=armv8.1-a+crypto -mabi=lp64 -mcpu=vulcan -o /tmp/cc2Hf3Ve.o /tmp/ccMVgC69.s
exitcode 0

I expected gcc -mcpu=vulcan to pass down -mcpu=vulcan to the assembler as well, but it didn't. I tested using -mcpu=xgene1 instead, and that also does not pass -mcpu=xgene1 down to the assembler, so I assume this is normal.

tags: added: verification-done
removed: verification-needed
Martin Pitt (pitti) wrote :

Hello dann, or anyone else affected,

Accepted gcc-5 into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gcc-5/5.4.0-6ubuntu1~16.04 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in gcc-5 (Ubuntu Xenial):
status: New → Fix Committed
tags: removed: verification-done
tags: added: verification-needed
Matthias Klose (doko) on 2016-07-05
tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package binutils - 2.26.1-1ubuntu1~16.04

---------------
binutils (2.26.1-1ubuntu1~16.04) xenial-proposed; urgency=medium

  * SRU: LP: #1586673, backport to 16.04 LTS.
    - Supports new POWER9 instructions. LP: #1588475.
  * Disable N32 and MIPS r6 cross builds.

binutils (2.26.1-1ubuntu1) yakkety; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Don't build cross binutils packages for non-linux architectures.

binutils (2.26.1-1) unstable; urgency=medium

  * binutils 2.26.1 release.

binutils (2.26-12ubuntu1) yakkety; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Don't build cross binutils packages for non-linux architectures.

binutils (2.26-12) unstable; urgency=medium

  * Update, taken from the 2.26 branch 20160624.
    - Fix PR ld/20254 (AVR), PR ld/20221 (AVR), PR ld/20244 (x86).
    - Support for three more new POWER9 instructions.
  * Cherry pick backports for AArch64 vulcan support (Dann Frazier).
    LP: #1594452.

binutils (2.26-11ubuntu2) yakkety; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Don't build cross binutils packages for non-linux architectures.

binutils (2.26-11) unstable; urgency=medium

  * Update, taken from the 2.26 branch 20160610.
    - Fix PR ld/20159, reverting the change for PR ld/16467. LP: #1588123.
  * Use ldconfig triggers instead of calling ldconfig directly.

binutils (2.26-10ubuntu3) yakkety; urgency=medium

  * Fix PR ld/20159, reverting the change for PR ld/16467.

binutils (2.26-10ubuntu2) yakkety; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Don't build cross binutils packages for non-linux architectures.

binutils (2.26-10) unstable; urgency=medium

  * Update, taken from the 2.26 branch 20160601.
    - Fix PR ld/20117, PR ld/20030, PR ld/20093.
    - Support for a few more new POWER9 instructions.
  * Build for N32 and MIPS r6 (YunQiang Su). Closes: #807377.
  * Mark cross binutils as M-A: foreign (Helmut Grohne). Closes: #824424.
  * More reproducible build fixes (Chris Lamb). Closes: #824413.
  * Fix PR ld/19886, --as-needed regression, taken from the trunk.

binutils (2.26-9ubuntu1) yakkety; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Don't build cross binutils packages for non-linux architectures.
    - Fix PR ld/19886, --as-needed regression, taken from the trunk.

binutils (2.26-9) unstable; urgency=medium

  * Update, taken from the 2.26 branch 20160512.
    - Fix PR ld/19878, PR ld/19827, PR gas/19909, PR ld/20006, PR gold/19047,
      PR gas/20047, PR 20060.

 -- Matthias Klose <email address hidden> Thu, 30 Jun 2016 11:14:03 +0200

Changed in binutils (Ubuntu Xenial):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for binutils has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :
Download full text (8.1 KiB)

This bug was fixed in the package gcc-5 - 5.4.0-6ubuntu1~16.04.1

---------------
gcc-5 (5.4.0-6ubuntu1~16.04.1) xenial-proposed; urgency=medium

  * SRU: LP: #1586673. Backport GCC 5.4 to 16.04 LTS.
  * Revert a libstdc++ header reorg done after the 5.3.0 release.
  * Add AArch64 Vulcan cpu support, backport from trunk. LP: #1594452.
  * Revert a libstdc++ header reorg done after the 5.3.0 release (only for
    OS releases including a GCC 5 at release time).
  * Fixes C++ ICE. LP: #1593608.

gcc-5 (5.4.0-6ubuntu1) yakkety; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

gcc-5 (5.4.0-6) unstable; urgency=medium

  * Fix gdc cross build.
  * Disable the AArch64 Vulcan cpu support for FSF builds, needs a proper
    back port.

gcc-5 (5.4.0-5ubuntu1) yakkety; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

gcc-5 (5.4.0-5) unstable; urgency=medium

  [ Matthias Klose ]
  * Add AArch64 Vulcan cpu support, backport from trunk. LP: #1594452.
  * Revert a libstdc++ header reorg done after the 5.3.0 release (only for
    OS releases including a GCC 5 at release time).
  * Enforce build using binutils 2.26.1 for unstable/development series.
  * Mark cross compilers as M-A: foreign. Addresses: #827136.
  * Remove the MIPS r6 support again, dak doesn't like unknown architectures.

  [ Aurelien Jarno ]
  * Drop support for loongson 2f (YunQiang Su). Closes: #827554.
  * Apply proposed patch from Matthew Fortune to fix libjava on mips64el.

gcc-5 (5.4.0-4ubuntu1) yakkety; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

gcc-5 (5.4.0-4) unstable; urgency=medium

  * gdc: Fix linking the runtime library. Closes: #826645.
  * gdc: Fix updates from 5.3.x. Closes: #826583.
  * Update the Linaro support to the 5-2016.06 snapshot.
  * Add MIPS r6 support and bump mipsn32(el) ISA to r2 (YunQiang Su).
    Closes: #824986.
  * Avoid storing -fdebug-prefix-map in DW_AT_producer (for better
    reproducibility). Taken from the trunk (Daniel Kahn Gillmor).
    Closes: #819176.

gcc-5 (5.4.0-3ubuntu1) yakkety; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

gcc-5 (5.4.0-3) unstable; urgency=medium

  * Update Ada patch for KFreeBSD (Steven Chamberlain). Closes: #826332.

gcc-5 (5.4.0-2) unstable; urgency=medium

  * Fix gdc packaging for architectures without libphobos support.

gcc-5 (5.4.0-1) unstable; urgency=medium

  * GCC 5.4.0 release.
    - Fix PR target/68696 (AArch64), PR fortran/70350.
  * Update embedded timestamp setting patch, backported from the trunk.
  * Update the Linaro support to the 5-2016.05 snapshot.
  * Update gdc to the gcc-5 branch 20160603.

gcc-5 (5.3.1-21ubuntu11) yakkety; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

gcc-5 (5.3.1-21) unstable; urgency=medium

  * GCC 5.4.0 release candidate 1.
  * Update to SVN 20160528 (r236840, 5.3.1) from the gcc-5-branch.
    - Fix PR libstdc++/69703, PR libstdc++/71038, PR libstdc++/71036,
      PR libstdc++/71037, PR libstdc++/71005, PR libstdc++/71004,
      PR libstdc++/70...

Read more...

Changed in gcc-5 (Ubuntu Xenial):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers